Package de.geolykt.starloader.launcher

# Class IDELauncher

java.lang.Object
de.geolykt.starloader.launcher.IDELauncher

public class IDELauncher extends Object
An entrypoint that is meant for debugging SLL mods within an IDE. As such it heavily relies on system properties in order to work. The following properties are used by this class:

- de.geolykt.starloader.launcher.CLILauncher.mainClass: The main class to run after the launcher initialized fully (for galimulator it is com.example.Main).
- de.geolykt.starloader.launcher.IDELauncher.bootURLs: A JSON-array of URLs to add to the root classloader.
- de.geolykt.starloader.launcher.IDELauncher.modURLs: A JSON-array of JSON-arrays that specify the URLs used for each mod. That is each array is it's own mod "unit" and may point to a directory or a JAR-file. Mods from the specified mod directory will also be added, should the mod directory be defined via a system property.
- de.geolykt.starloader.launcher.IDELauncher.modDirectory: Fully qualified path to the mod directory to use.
- de.geolykt.starloader.launcher.IDELauncher.inlineStarplaneAnnotations: Whether the `StarplaneAnnotationsInlineTransformer` should be used.
- org.stianloader.sll.IDELauncher.propertyExpansionSource (optional): The path to a .properties file from which property expansions within the extension.json file should occur. Only affects mods declared via the 'modURLs' system property.
- org.stianloader.sll.IDELauncher.smapURIAliases (optional, micromixin exclusive): A JSON-encoded map which maps the `CodeSource` URI of classes as they appear on the classpath to the URI as is used by micromixin for generating SMAPs. There is probably no good reason to have this, but perhaps you can find a good use for it.

Since:
  4.0.0

## Constructor Summary

Constructors
Constructor
Description
`IDELauncher()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IDELauncher

public IDELauncher()

## Method Details

### main

public static void main(String[] args)